API ReferenceOrganization collections
Search and paginate customer memberships and invitations without invitation tokens (assigned staff only)
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Format
uuidQuery Parameters
page?object
Default
1Range
1 <= valuepageSize?number
Default
25Value in
25 | 50 | 100q?string
Literal text search; SQL wildcard characters have no special meaning.
Length
length <= 200factory?string
Factory slug belonging to this organization.
status?string
Default
"all"Value in
"all" | "member" | "disabled" | "pending" | "expired" | "accepted"role?string
Default
"all"Value in
"all" | "organization_admin" | "production_engineer" | "production_technician" | "production_planner" | "production_qa" | "owner" | "admin" | "member" | "viewer"sort?string
Default
"name_asc"Value in
"name_asc" | "name_desc" | "newest"Response Body
application/json
curl -X GET "https://api.xentr.ai/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/collection-people"{
"total": 0,
"page": 0,
"pageSize": 25,
"pageCount": 0,
"items": [
{
"id": "string",
"kind": "member",
"userId": "string",
"fullName": "string",
"email": "string",
"role": "string",
"factoryId": "string",
"factoryName": "string",
"status": "member",
"disabledReason": "removed",
"joinedAt": "string",
"createdAt": "string",
"expiresAt": "string",
"acceptedAt": "string",
"bannedUntil": "string"
}
]
}